JADEFIPAAlignmentServerOntology (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.service.jade.messageontology
Class JADEFIPAAlignmentServerOntology

    java.lang.Object
      jade.content.onto.Ontology
          fr.inrialpes.exmo.align.service.jade.messageontology.JADEFIPAAlignmentServerOntology

All Implemented Interfaces:
  Serializable

    public class JADEFIPAAlignmentServerOntology

extends jade.content.onto.Ontology

file: JADEFIPAAlignmentServerOntologyOntology.java

Version:
  2007/03/19, 17:12:29
Author:
  ontology bean generator
See Also:
  Serialized Form

Field Summary
`static String` | `_NAME`
`static String` | `_RESULT`
`static String` | `_VALUE`
`static String` | `ACLIENT`
`static String` | `ACTION`
`static String` | `ACTION_HASPARAMETER`
`static String` | `ALIGN`
`static String` | `ASERVER`
`static String` | `CUT`
`static String` | `FIND`
`private static jade.content.onto.ReflectiveIntrospector` | `introspect`
`static String` | `LOAD`
`static String` | `METADATA`
`static String` | `ONTOLOGY_NAME`
`static String` | `parameter`
`static String` | `RETRIEVE`
`private static long` | `serialVersionUID`
`static String` | `STORE`
`private static jade.content.onto.Ontology` | `theInstance`
`static String` | `TRANSLATE`

Constructor Summary
`private` | `JADEFIPAAlignmentServerOntology()` Constructor

Method Summary
`static jade.content.onto.Ontology` | `getInstance()`

Methods inherited from class jade.content.onto.Ontology
`add, add, checkIsTerm, createConceptSlotFunction, fromObject, fromObject, getActionNames, getClassForElement, getConceptNames, getIntrospector, getName, getOwnActionNames, getOwnConceptNames, getOwnPredicateNames, getPredicateNames, getSchema, getSchema, toObject, toObject, toString, useConceptSlotsAsFunctions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### ONTOLOGY_NAME

    public static final String ONTOLOGY_NAME

See Also:
  Constant Field Values

### introspect

    private static jade.content.onto.ReflectiveIntrospector introspect

### theInstance

    private static jade.content.onto.Ontology theInstance

### METADATA

    public static final String METADATA

See Also:
  Constant Field Values

### FIND

    public static final String FIND

See Also:
  Constant Field Values

### TRANSLATE

    public static final String TRANSLATE

See Also:
  Constant Field Values

### ACTION_HASPARAMETER

    public static final String ACTION_HASPARAMETER

See Also:
  Constant Field Values

### ACTION

    public static final String ACTION

See Also:
  Constant Field Values

### CUT

    public static final String CUT

See Also:
  Constant Field Values

### LOAD

    public static final String LOAD

See Also:
  Constant Field Values

### RETRIEVE

    public static final String RETRIEVE

See Also:
  Constant Field Values

### ALIGN

    public static final String ALIGN

See Also:
  Constant Field Values

### STORE

    public static final String STORE

See Also:
  Constant Field Values

### ACLIENT

    public static final String ACLIENT

See Also:
  Constant Field Values

### ASERVER

    public static final String ASERVER

See Also:
  Constant Field Values

### _NAME

    public static final String _NAME

See Also:
  Constant Field Values

### _VALUE

    public static final String _VALUE

See Also:
  Constant Field Values

### parameter

    public static final String parameter

See Also:
  Constant Field Values

### _RESULT

    public static final String _RESULT

See Also:
  Constant Field Values

Constructor Detail

### JADEFIPAAlignmentServerOntology

    private JADEFIPAAlignmentServerOntology()

  Constructor

Method Detail

### getInstance

    public static jade.content.onto.Ontology getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010